# Work-Experience

- **Oct. 2018 to Aug. 2021**:
  - ML-Specialist at [Jobware](https://jobware.de) (Paderborn; german Job-Advertising-Platform)
    - Extraction/Classification of sentences from JobAds (Requirements, Benefits,
      Tasks, ...)
    - Extraction of Information from JobAds (Location of company, Location of
      workplay, contact-details, application-procedure, etc.) including geocoding
      of those information (backed by OpenStreetMap)
    - Embedding of JobAds into a meaningful space (i.e. "get me similar ads. btw.
      i dislike ad a, b, c").
    - Analyse & predict search-queries of users on the webpage and offer likely
      but distinct queries (i.e. similar when typo or complete different words
      (synonyms, hyponyms, etc.))
  - Technologies used:
    - Haskell (currently GHC 8.6, soon GHC 8.8)
      - stack + stackage-lts
      - fixplate (recursion-schemes-implementation)
      - many usual technologies like lens, http-simple, mtl, ..
      - golden-testing via tasty
      - several inhouse-developments:
        - templating based on text-replacement via generics (fieldname in
          Template-Type == variable replaced in template)
        - activeMQ/Kibana-bridge for logging via hs-stomp
        - generic internal logging-framework
    - Python
      - tensorflow
      - pytorch
      - sklearn
      - nltk

- **2013-2018**:
  - several jobs at my University including
    - Worked 6 Months in the Workgroup "Theoretical Computer Science" on migrating
      algorithms to **CUDA**
    - Tutor "Introduction to Machine Learning"
      - Was awarded **Tutoring-Award** of the Faculty of Technology for excellent
        tutoring
    - Lecture "Intermediate Functional Programming in Haskell"
      - Originally developed as student-project in cooperation with Jonas Betzendahl
      - First held in Summer 2015
      - Due to high demand held again in Summer 2016 and 2017
      - Was awarded **Lecturer-Award** "silver Chalk" in 2016
        - First time that this award was given to students
        - Many lecturers at our faculty never get any teaching-award until retirement
    - Development of Pandoc-Filters for effective **generation of lecture-slides**
      for Mario Botsch (Leader "Workgroup Computer Graphics") using Pandoc & reveal.js
      - Framework: [https://github.com/mbotsch/revealSlides](https://github.com/mbotsch/revealSlides)
      - Example: [https://github.com/mbotsch/eLearning](https://github.com/mbotsch/eLearning)
      - Pandoc-Filters: [https://github.com/mbotsch/pandoc-slide-filter](https://github.com/mbotsch/pandoc-slide-filter)
